package com.bonus.canteen.core.notice.print.v2.dto;

import io.swagger.annotations.ApiModelProperty;

public class NoticePrintTemplateExtSettingAddDTO {
   @ApiModelProperty("x轴坐标")
   private Integer settingX;
   @ApiModelProperty("y轴坐标")
   private Integer settingY;
   @ApiModelProperty("文字宽度放大倍率1-10")
   private Integer settingW;
   @ApiModelProperty("文字高度放大倍率1-10")
   private Integer settingH;
   @ApiModelProperty("字段类型（1:动态，2:固定）")
   private Integer settingType;
   @ApiModelProperty("固定内容值")
   private String settingValue;

   public Integer getSettingX() {
      return this.settingX;
   }

   public Integer getSettingY() {
      return this.settingY;
   }

   public Integer getSettingW() {
      return this.settingW;
   }

   public Integer getSettingH() {
      return this.settingH;
   }

   public Integer getSettingType() {
      return this.settingType;
   }

   public String getSettingValue() {
      return this.settingValue;
   }

   public void setSettingX(final Integer settingX) {
      this.settingX = settingX;
   }

   public void setSettingY(final Integer settingY) {
      this.settingY = settingY;
   }

   public void setSettingW(final Integer settingW) {
      this.settingW = settingW;
   }

   public void setSettingH(final Integer settingH) {
      this.settingH = settingH;
   }

   public void setSettingType(final Integer settingType) {
      this.settingType = settingType;
   }

   public void setSettingValue(final String settingValue) {
      this.settingValue = settingValue;
   }

}
